Skip to content

Gets all of the billing templates in the system.

Request

This method will scan all billing templates and and return them to the caller.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

exclusiveStartKeystring

The start key, if you're making a subsequent request

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/billingTemplates/{tenantId}?fields=string&exclusiveStartKey=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The billing templateswere retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
auto_renewal_optionsobject(Auto Renewal Options)required
auto_renewal_reminder_optionsobject(Auto Renewal Reminder Options)required
descriptionstring(Description)

A description of the template

drop_optionsobject(Drop Options)required
expiring_credit_card_reminders_optionsobject(Expiring Credit Card Reminders Options)required
generate_renewal_noticesboolean(Generate Renewal Notices)

Whether this template should be generating renewal notices

generate_renewal_ordersboolean(Generate Renewal Orders)

Whether this template should be generating renewal orders

idstring(ID)^[\w|-]+$required

The unique, string identifier of this billing template

is_activeboolean(Is Active)

Whether or not this billing template is active

namestring(Name)required

The name of the billing template

notification_emailstring(Notification Email)

Te address to send notifications

perform_auto_renewalsboolean(Perform Auto Renewals)

Whether this template should be performing auto renewals

perform_dropsboolean(Perform Drops)

Whether this template should be dropping expired members

renewal_notice_optionsobject(Renewal Notice Options)required
renewal_order_optionsobject(Renewal Order Options)required
renewal_reminder_optionsobject(Renewal Reminder Options)required
send_auto_renewal_remindersboolean(Send Auto Renewal Reminders)

Whether this template should be generating reminders

send_expiring_credit_card_remindersboolean(Send Expiring Credit Card Reminders)

Whether to warn that someone's card is going to expire

send_renewal_remindersboolean(Send Renewal Reminders)

Whether this template should be generating reminders

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

]
Response
[ { "auto_renewal_options": { … }, "auto_renewal_reminder_options": { … }, "description": "string", "drop_options": { … }, "expiring_credit_card_reminders_options": { … }, "generate_renewal_notices": true, "generate_renewal_orders": true, "id": "string", "is_active": true, "name": "string", "notification_email": "string", "perform_auto_renewals": true, "perform_drops": true, "renewal_notice_options": { … }, "renewal_order_options": { … }, "renewal_reminder_options": { … }, "send_auto_renewal_reminders": true, "send_expiring_credit_card_reminders": true, "send_renewal_reminders": true, "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1 } ]